process BWA_MEM_PAIRED {
  tag "bwa mem paired"
  container 'quay.io/biocontainers/bwa:0.7.17--h84994c4_5'
  
  input:
    val srr_id
    path paired1
    path paired2
    path reference_genome
    path index

  output:
    path "*.R1R2.sam"

  script:
  def threadsArgument = params.threads_bwa_mem ? "-t $params.threads_bwa_mem" : ""
  """
  bwa mem $threadsArgument -R "@RG\\tID:${srr_id}\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment" $reference_genome $paired1 $paired2 >> ${srr_id}.R1R2.sam
  """
} 