process BWA_MEM_UNPAIRED {
  tag "bwa mem unpaired"
  container 'quay.io/biocontainers/bwa:0.7.17--h84994c4_5'
  
  input:
    val srr_id
    path unpaired
    path reference_genome
    path index

  output:
    path "*.sam", emit: output_unpaired

  script:
  def threadsArgument = params.threads_bwa_mem ? "-t $params.threads_bwa_mem" : ""
  """
  nameReplaced=\$(echo  ${unpaired.simpleName} | sed 's/_/.R/g')
  bwa mem $threadsArgument -R "@RG\\tID:$srr_id\\tSM:NA19206\\tPL:ILLUMINA\\tCN:CBRA\\tLB:Fragment" $reference_genome $unpaired >> \$nameReplaced.sam
  """
}