/*
 * Include for bwa_mem 
*/
include {
    BWA_MEM_PAIRED as BWA_MEM_READS
} from "../modules/bwa_mem_paired"
include {
    BWA_MEM_UNPAIRED as BWA_MEM_UNPAIRED1
} from "../modules/bwa_mem_unpaired"
include {
    BWA_MEM_UNPAIRED as BWA_MEM_UNPAIRED2
} from "../modules/bwa_mem_unpaired"

/*
* Subworkflow bwa_mem
*/
workflow SUB_BWA_MEM {
  take:
    reads

  main:
    
    srr_id = reads.map{it[0]}
    paired1 = reads.map{it[1]}
    paired2 = reads.map{it[2]}
    unpaired1 = reads.map{it[3]}
    unpaired2 = reads.map{it[4]}
    reference_genome = reads.map{it[5]}
    index = reads.map{it[6]}

    BWA_MEM_READS(srr_id, paired1, paired2, reference_genome, index)
    BWA_MEM_UNPAIRED1(srr_id, unpaired1, reference_genome, index)
    BWA_MEM_UNPAIRED2(srr_id, unpaired2, reference_genome, index)

  emit:
    output_paired = BWA_MEM_READS.out
    output_unpairedR1 = BWA_MEM_UNPAIRED1.out
    output_unpairedR2 = BWA_MEM_UNPAIRED2.out
}