/*
 * Include for cnv_gridss
*/
include {
    GRIDSS
}from "../modules/gridss"
include {
    STRUCTURAL_VARIANTS
}from "../modules/structural_variants"
include {
    GRIDSS_FILTER
}from "../modules/gridss_filter"
include {
    BEDOPS_UNION as GRIDSS_UNION
} from "../modules/bedops_union"
include {
    COLLAPSE as GRIDSS_MERGE
} from "../modules/collapse"


/*
* Subworkflow cnv_gridss
*/
workflow SUB_CNV_GRIDSS {
    take:
        bams
        samples
        reference_genome

    main:
        GRIDSS(bams,
               reference_genome,
               blacklist)
        STRUCTURAL_VARIANTS( GRIDSS.out, structural_variants_script )
        GRIDSS_FILTER( gridss_filter_script, STRUCTURAL_VARIANTS.out, samples )
        GRIDSS_UNION( GRIDSS_FILTER.out )
        GRIDSS_MERGE( collapse_script, GRIDSS_UNION.out )

    emit:
        output = GRIDSS_MERGE.out

}
